org.apache.solr.client.solrj.request

## Class DelegationTokenRequest<Q extends DelegationTokenRequest<Q,R>,R extends DelegationTokenResponse>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<R>
  - - org.apache.solr.client.solrj.request.DelegationTokenRequest<Q,R>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DelegationTokenRequest.Cancel, DelegationTokenRequest.Get, DelegationTokenRequest.Renew

    public abstract class DelegationTokenRequest<Q extends DelegationTokenRequest<Q,R>,R extends DelegationTokenResponse>
    extends SolrRequest<R>

Class for making Solr delegation token requests.

Since:
  Solr 6.2
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DelegationTokenRequest.Cancel`
`static class` `DelegationTokenRequest.Get`
`static class` `DelegationTokenRequest.Renew`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected static String` `OP_KEY`
`protected static String` `TOKEN_KEY`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
Constructor and Description
`DelegationTokenRequest(SolrRequest.METHOD m)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract R` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`Collection<ContentStream>` `getContentStreams()`
`protected abstract Q` `getThis()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getCollection, getMethod, getParams, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OP_KEY

    protected static final String OP_KEY

See Also:
  Constant Field Values

#### TOKEN_KEY

    protected static final String TOKEN_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### DelegationTokenRequest

    public DelegationTokenRequest(SolrRequest.METHOD m)

### Method Detail

#### getThis

    protected abstract Q getThis()

#### getContentStreams

    public Collection<ContentStream> getContentStreams()
                                                throws IOException

Specified by:
  `getContentStreams` in class `SolrRequest<R extends DelegationTokenResponse>`
Throws:
  `IOException`

#### createResponse

    protected abstract R createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<R extends DelegationTokenResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to